Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript.ast
Interface DestructuringForm

All Known Implementing Classes:
  ArrayLiteral, ObjectLiteral

    public interface DestructuringForm

Common interface for `ArrayLiteral` and `ObjectLiteral` node types, both of which may appear in "destructuring" expressions or contexts.

Method Summary
`boolean` | `isDestructuring()` Returns true if this node is in a destructuring position: a function parameter, the target of a variable initializer, the iterator of a for..in loop, etc.
`void` | `setIsDestructuring(boolean destructuring)` Marks this node as being a destructuring form - that is, appearing in a context such as `for ([a, b] in ...)` where it's the target of a destructuring assignment.

Method Detail

### setIsDestructuring

    void setIsDestructuring(boolean destructuring)

  Marks this node as being a destructuring form - that is, appearing in a context such as `for ([a, b] in ...)` where it's the target of a destructuring assignment.

### isDestructuring

    boolean isDestructuring()

  Returns true if this node is in a destructuring position: a function parameter, the target of a variable initializer, the iterator of a for..in loop, etc.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD